/*
    Copyright (C) 2015 Carl Hetherington <cth@carlh.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/** @file  src/data.h
 *  @brief Data class.
 */

#include <boost/shared_array.hpp>
#include <boost/filesystem.hpp>
#include <stdint.h>

namespace dcp {

/** A block of arbitrary data */
class Data
{
public:
	Data () {}

	Data (boost::shared_array<uint8_t> data_, boost::uintmax_t size_)
		: data (data_)
		, size (size_)
	{}

	Data (boost::filesystem::path file);

	boost::shared_array<uint8_t> data;
	boost::uintmax_t size;
};

}
